    import {GridLayout} from 'TableFilter/src/modules/gridLayout.js'

public class | source

# GridLayout

## Constructor Summary

Public Constructor
public | constructor(tf: Object) Grid layout, table with fixed headers |

## Member Summary

Public Members
public | gridColElms: * |
public | gridContCssClass: * |
public | gridDefaultColWidth: * |
public | gridEnableFilters: * |
public | gridHeadContCssClass: * |
public | gridHeadRowIndex: * |
public | gridHeadRows: * |
public | gridHeight: * |
public | gridInfDivCssClass: * |
public | gridMainContCssClass: * |
public | gridWidth: * |
public | headTbl: * |
public | headTblCont: * |
public | prfxGridFltTd: string |
public | prfxGridTh: string |
public | prfxHeadTbl: string |
public | prfxHeadTblCont: string |
public | prfxMainTblCont: string |
public | prfxTblCont: string |
public | tblCont: * |
public | tblHasColTag: * |
public | tblMainCont: * |
public | tf: * |

## Method Summary

Public Methods
public | destroy() Removes the grid layout |
public | init() Generates a grid with fixed headers |

## Public Constructors

### public constructor(tf: Object) source

Grid layout, table with fixed headers

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public gridColElms: * source

### public gridContCssClass: * source

### public gridDefaultColWidth: * source

### public gridEnableFilters: * source

### public gridHeadContCssClass: * source

### public gridHeadRowIndex: * source

### public gridHeadRows: * source

### public gridHeight: * source

### public gridInfDivCssClass: * source

### public gridMainContCssClass: * source

### public gridWidth: * source

### public headTbl: * source

### public headTblCont: * source

### public prfxGridFltTd: string source

### public prfxGridTh: string source

### public prfxHeadTbl: string source

### public prfxHeadTblCont: string source

### public prfxMainTblCont: string source

### public prfxTblCont: string source

### public tblCont: * source

### public tblHasColTag: * source

### public tblMainCont: * source

### public tf: * source

## Public Methods

### public destroy() source

Removes the grid layout

### public init() source

Generates a grid with fixed headers